//
//  ViewController.swift
//  swift_sample
//
//  Created by Muta Huang on 06/07/2017.
//  Copyright © 2017 TSC. All rights reserved.
//

import UIKit
import tscswift

class ViewController: UIViewController {

    var wireless = WiFi()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.

    }

    @IBAction func Send(_ sender: UIButton)
    {
        wireless.openport("10.0.10.202" as CFString, portnumber: 9100)
        //bt.openport_mfi();
        var mainBunle = Bundle.main
        var absolutePath = mainBunle.path(forResource: "ARIAL", ofType: "TTF")
        
        let data = try! NSData(contentsOfFile: absolutePath!) as Data
        var line = String.localizedStringWithFormat("DOWNLOAD F,\"%@\",%@,", "ARIAL.TTF", String(data.count))
        
        let enc = CFStringConvertEncodingToNSStringEncoding(CFStringEncoding(CFStringEncodings.big5_HKSCS_1999.rawValue))
        var downloadtitle = line.data(using: String.Encoding(rawValue: enc), allowLossyConversion: false)!
        
        wireless.sendBinaryData(downloadtitle)
        wireless.sendBinaryData(data)
        wireless.sendcommand("\r\n")
        wireless.printerfont("30", y: "30", fontName: "ARIAL.TTF", rotation: "0", magnificationRateX: "12", magnificationRateY: "12", content: "Printer Font Test!")
        wireless.printlabel(1, copies: 1)
        
        //var status = wireless.printer_status(delay: 2)
        //<00> Normal, <01>Head opened, <10>Pause
        /*
        wireless.sendcommand("DIRECION 1\r\n")
        //wireless.setup("100", height: "120", speed: "4", density: "10", sensor: "0", vertical: "2", offset: "0")
        wireless.sendcommand("SIZE 100 mm, 120 mm\r\n")
        wireless.sendcommand("SPEED 4\r\n")
        wireless.sendcommand("DENSITY 10\r\n")
        wireless.sendcommand("GAP 2 mm, 0 mm\r\n")
        //wireless.sendcommand("BLINE 2 mm, 0 mm\r\n")//black mark
        
        wireless.clearBuffer()
        
        //Using downloaded font to print text
        /*wireless.sendcommand("CODEPAGE UTF-8\r\n")
        wireless.sendcommand_utf8("TEXT 30,30,\"ARIALUNI.TTF\",0,8,8,\"中文Englishにほンゴ한국어\"\r\n")*/
        wireless.sendcommand("TEXT 30,30,\"2\",0,2,2,\"1234567\"\r\n")
        wireless.printerfont("30", y: "100", fontName: "2", rotation: "0", magnificationRateX: "2", magnificationRateY: "2", content: "Printer Font Test!")
        wireless.windowsfont(30, y: 170, height: 32, rotation: 0, style: 0, withUnderline: 0, fontName: "Arial", content: "中文Englishにほンゴ한국어")
        //fontName: Please refer to "iosfonts.com"
        
        wireless.barcode("30", y: "300", barcodeType: "39", height: "70", readable: "1", rotation: "0", narrow: "2", wide: "6", code: "12345")
        
        //Download PCX
        var mainBunle = Bundle.main
        var absolutePath = mainBunle.path(forResource: "UL", ofType: "pcx")
        wireless.downloadpcx(absolutePath!, name: "UL.PCX")
        wireless.sendcommand("PUTPCX 300,250,\"UL.PCX\"\r\n")
        
        wireless.printlabel(1, copies: 1)
        */
        wireless.closeport(4)
        
    }
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

